Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233564 - Upgrade PostgreSQL to 8.2.x branch
Summary: Upgrade PostgreSQL to 8.2.x branch
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: postgresql
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 09:06 UTC by Robert Scheck
Modified: 2013-07-03 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 20:05:02 UTC


Attachments (Terms of Use)

Description Robert Scheck 2007-03-23 09:06:04 UTC
Description of problem:
Please upgrade PostgreSQL in Red Hat Enterprise Linux to the 8.2.x branch, 
because it contains further improvements and performance speedups. AFAIK the 
upcoming 8.2.4 release will fix the annoying bug with the stats collector,
too. Oh and finally this *could* make switch some of our customers from SuSE
Linux Enterprise Server to Red Hat Enterprise Linux 5 ;-)

Version-Release number of selected component (if applicable):
postgresql-8.1.8-1

Actual results:
PostgreSQL 8.1.x branch

Expected results:
PostgreSQL 8.2.x branch ;-)

Comment 1 Tom Lane 2007-03-23 15:24:34 UTC
Sorry, this is not going to happen because it goes directly against the entire
concept of RHEL, namely to be a stable platform for the lifetime of a given RHEL
release branch.  You'll note that RHEL4 still ships with Postgres 7.4.x...

At some point there will be an Application Stack offering for RHEL5, and I'd
expect that it will include Postgres 8.2 (or maybe 8.3 depending on timing),
but it's much too late to change what the base OS ships.

Comment 2 Robert Scheck 2007-03-26 18:49:13 UTC
Uhm...some time ago, some of the marketing or sales people put some information 
at redhat.com, that new features, development etc. will get backported (e.g. 
driver and kernel backports) into the current Red Hat Enterprise Linux release 
until the first 3-4 years (?) after publishing. Unfortunately, I can't find 
these nice sentences right now...

Comment 3 Tom Lane 2007-03-26 20:05:02 UTC
The upstream project's policy on this is "only bug fixes in stable branches",
and I fully agree with that.  Red Hat has not got the manpower or interest to
maintain a version of Postgres that diverges substantially from any of those
maintained by upstream.  Even if we did, the need for compatibility of on-disk
files would tremendously limit what we could do.

The kernel situation is quite a bit different, both in terms of available
manpower and in terms of how much can be done without breaking userland ABI.


Note You need to log in before you can comment on or make changes to this bug.